// OscilloscopeDoc.cpp : implementation of the COscilloscopeDoc class
//

#include "stdafx.h"
#include "Oscilloscope.h"

#include "OscilloscopeDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COscilloscopeDoc

IMPLEMENT_DYNCREATE(COscilloscopeDoc, CDocument)

BEGIN_MESSAGE_MAP(COscilloscopeDoc, CDocument)
	//{{AFX_MSG_MAP(COscilloscopeDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COscilloscopeDoc construction/destruction

COscilloscopeDoc::COscilloscopeDoc()
{
	// TODO: add one-time construction code here

}

COscilloscopeDoc::~COscilloscopeDoc()
{
}

BOOL COscilloscopeDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// COscilloscopeDoc serialization

void COscilloscopeDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// COscilloscopeDoc diagnostics

#ifdef _DEBUG
void COscilloscopeDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void COscilloscopeDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// COscilloscopeDoc commands
